Bug 19761 - Move template JavaScript to the footer: Serials, part 2
Summary: Move template JavaScript to the footer: Serials, part 2
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 19766
Blocks: 17858
  Show dependency treegraph
 
Reported: 2017-12-06 17:32 UTC by Owen Leonard
Modified: 2017-12-20 11:48 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19761: Move template JavaScript to the footer: Serials, part 2 (7.48 KB, patch)
2017-12-07 17:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19761: Move template JavaScript to the footer: Serials, part 2 (7.54 KB, patch)
2017-12-08 13:05 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19761: Move template JavaScript to the footer: Serials, part 2 (7.59 KB, patch)
2017-12-14 08:03 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-12-06 17:32:22 UTC
In order to conform to best practices for performance staff client template javascript should be in the footer instead of the header. This patch will do so for more of the serials templates.
Comment 1 Owen Leonard 2017-12-07 17:56:05 UTC
Created attachment 69620 [details] [review]
Bug 19761: Move template JavaScript to the footer: Serials, part 2

This patch modifies more staff client serials templates so
that JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of the
modified templates: All button controls, DataTables functionality, tabs,
etc.

 - Serials -> Subscription detail -> Edit routing list
   - Add recipients
   - Save
     - "Save and preview routing slip" should trigger preview
       - In preview popup: Print and Close buttons should work correctly
Comment 2 Claire Gravely 2017-12-08 13:05:52 UTC
Created attachment 69639 [details] [review]
Bug 19761: Move template JavaScript to the footer: Serials, part 2

This patch modifies more staff client serials templates so
that JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of the
modified templates: All button controls, DataTables functionality, tabs,
etc.

 - Serials -> Subscription detail -> Edit routing list
   - Add recipients
   - Save
     - "Save and preview routing slip" should trigger preview
       - In preview popup: Print and Close buttons should work correctly

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Josef Moravec 2017-12-14 08:03:20 UTC
Created attachment 69789 [details] [review]
Bug 19761: Move template JavaScript to the footer: Serials, part 2

This patch modifies more staff client serials templates so
that JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of the
modified templates: All button controls, DataTables functionality, tabs,
etc.

 - Serials -> Subscription detail -> Edit routing list
   - Add recipients
   - Save
     - "Save and preview routing slip" should trigger preview
       - In preview popup: Print and Close buttons should work correctly

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Jonathan Druart 2017-12-14 20:17:30 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2017-12-20 11:48:52 UTC
Awesome work all! Enhancement, not backporting for 17.11